Package Details: brutal-doom 20-13

Git Clone URL: https://aur.archlinux.org/brutal-doom.git (read-only)
Package Base: brutal-doom
Description: Brutal Doom via the GzDoom engine.
Upstream URL: http://www.moddb.com/mods/brutal-doom
Keywords: brutal brutal-doom doom gzdoom mod
Licenses: GPL3
Submitter: ProfessorKaos64
Maintainer: ProfessorKaos64
Last Packager: ProfessorKaos64
Votes: 17
Popularity: 1.356198
First Submitted: 2016-09-16 14:54
Last Updated: 2017-05-07 19:15

Pinned Comments

ProfessorKaos64 commented on 2016-09-16 22:49

Don't forget .wad files are coded to /usr/share/games/brutal-doom (doom1.wad, etc.). If you want to point that somewhere else, edit /usr/share/games/brutal-doom/gzdoom.ini. Use 'brutal-doom' to launch. If anyone wants default mods enabled/added, let me know (such as Doom 2016 weapons). Games will save to ~/.config/gzdoom/brutal-doom/<save_name>. For the script error, "brutalv20b.pk3:blood.txt" line 610" see http://www.moddb.com/forum/thread/brutal-doom-bug-on-gzdoom until a patch is implemented here, or fixed otherwise "upstream."

Latest Comments

ProfessorKaos64 commented on 2017-11-20 01:42

i'll be testing the new beta this week hopefully. I want to make sure things run ok first.

ProfessorKaos64 commented on 2017-11-03 22:36

Sure, I can do that this weekend

notuxius commented on 2017-11-03 14:45

Hi, Prof!
What do you think about adding of v21 public beta package? Thanks once again!

notuxius commented on 2017-06-18 03:15

@ProfessorKaos64 Hi prof.
Would you consider adding WolfenDoom package - http://boa.realm667.com ?
I think that would be a great package! Thank you.

ProfessorKaos64 commented on 2017-05-07 19:06

@peperunas, the location of the pk3 file changed. I'll fix it.

https://aur.archlinux.org/packages/gzdoom/?comments=all

peperunas commented on 2017-05-06 13:03

I get this error when running brutal-doom.

"Cannot find gzdoom.pk3"

ProfessorKaos64 commented on 2017-04-22 01:41

CyberShadow, will fix, good suggestion. tx.

CyberShadow commented on 2017-04-17 19:46

Could you please avoid creating files with 777 permissions (/usr/share/games/brutal-doom/gzdoom.ini)? These don't play well with multiple users and could be a security risk.

It shouldn't be difficult to avoid this in this case. In your wrapper (/usr/bin/brutal-doom), just check if ~/.config/brutal-doom/gzdoom.ini exists, and if it doesn't, create it from your system-wide template (/usr/share/games/brutal-doom/gzdoom.ini).

notuxius commented on 2017-01-04 16:26

@ProfessorKaos64 Hi Prof! You might be interrested in this unofficial patch - http://www.moddb.com/mods/brutal-doom/addons/my-brutal-doom-v20c-unofficial-patch

ProfessorKaos64 commented on 2016-12-14 13:53

@notuxius sure, will do later tonight. The other two projects will likely just fall into different AUR packages. Though, at some point, if you deal with enough mods, it may just be better to use a Doom launcher, like ssgl-doom-launcher-git

All comments